package org.xbib.io.webdav.common;

import java.util.Collection;

/**
 * <code>ParentSet</code> represents a DAV:parent-set property.
 */
public class ParentSet extends AbstractDavProperty<Collection<ParentElement>> {

    private final Collection<ParentElement> parents;

    /**
     * Creates a new ParentSet from a collection of <code>ParentElement</code> objects.
     *
     * @param parents
     */
    public ParentSet(Collection<ParentElement> parents) {
        super(DavPropertyName.create("parent-set"), true);
        this.parents = parents;
    }

    @Override
    public Collection<ParentElement> getValue() {
        return this.parents;
    }
}
